Zeitgeist.Log.get_version – zeitgeist-2.0 Reference Manual

# get_version

## Description:

public void get_version (out int major, out int minor, out int micro)

Gets version of currently running Zeitgeist daemon.

This method will return the version of Zeitgeist daemon this instance is connected to. If you call this method right after zeitgeist_log_new(), only zeros will be returned, a valid version number will only be returned once this instance successfully connected to the Zeitgeist daemon - ie. the value of the "is-connected" property must be TRUE (you can connect to the "notify::is-connected" signal otherwise).

## Parameters:

major | Location for the major version
minor | Location for the minor version
micro | Location for the micro version